Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.PDFECompliance Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| ConvertPDFFile (src_pdf_path, saved_pdf_path, convert_to_version, progress_callback)
| Convert a PDF file with specified PDFE version. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| Verify (src_pdf_path, first_page_index, last_page_index, verify_version, progress_callback)
| Verify a PDF file with specified PDFE version. More...

## Static Public Attributes
static | e_VersionPDFE1
| Enumeration for PDF/E version. More...

## Detailed Description

This class can be used to verify if a PDF file matches a PDF/E version or convert a PDF file to a PDF/E version. Please ensure FSDK.ComplianceEngine has been initialized successfully.

See also
  FSDK.ComplianceEngine

## Member Function Documentation

## ◆ ConvertPDFFile()

FSDK.PDFECompliance.ConvertPDFFile | ( | src_pdf_path | ,
|  | saved_pdf_path | ,
|  | convert_to_version | ,
|  | progress_callback |
| ) |  |

Convert a PDF file with specified PDFE version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDFE version to convert. Please refer to values starting from FSDK.PDFECompliance.e_VersionPDFE1 and this should be one of these values. Default value: FSDK.PDFECompliance.e_VersionPDFE1.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be NULL. Default value: NULL.

Returns
  A FSDK.ResultInformation object.

## ◆ IsEmpty()

FSDK.PDFECompliance.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Verify()

FSDK.PDFECompliance.Verify | ( | src_pdf_path | ,
|  | first_page_index | ,
|  | last_page_index | ,
|  | verify_version | ,
|  | progress_callback |
| ) |  |

Verify a PDF file with specified PDFE version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified and parameter first_page_index would be ignored. Default value: -1.
  [in] | verify_version | PDFE version to verify.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be NULL. Default value: NULL.

Returns
  A FSDK.ResultInformation object.

## Member Data Documentation

## ◆ e_VersionPDFE1

FSDK.PDFECompliance.e_VersionPDFE1
| static

Enumeration for PDF/E version.

Values of this enumeration should be used alone.

PDF/E-1.